﻿-- 运镖tips 不是双倍时间tips
Lua_DoubleExpCarTipsWindow = class("Lua_DoubleExpCarTipsWindow", Lua_Window);
function Lua_DoubleExpCarTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_DoubleExpCarTipsWindow";
	self.skinName = "DoubleExpCarTipsWindow_skin";
end

function Lua_DoubleExpCarTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.infoTxt1.text = LanUtil.getValue(122112);
	self.infoTxt2.text = LanUtil.getValue(122113) .. self:timeStr(10002) .." ".. self:timeStr(10003);

	self.subBtn:addClickFuntion(self, self.onSubClick);
	self.cancelBtn:addClickFuntion(self, self.onCancelClick);
end

function Lua_DoubleExpCarTipsWindow:showWin(param)
	self:superCall("showWin", param);
end

function Lua_DoubleExpCarTipsWindow:timeStr(id)
	local config = DataCenter.xianshiData:getDataById(id).config;
	local st = config.start;
	local h = math.floor(st / 100);
	local m = st - h * 100;
	local s_str = h..":"..Lua_CommonUtil.fixNumerLen(m, 2);

	st = config.end_time;
	h = math.floor(st / 100);
	m = st - h * 100;
	local e_str = h..":"..Lua_CommonUtil.fixNumerLen(m, 2);

	local timeStr = s_str.."-"..e_str;
	return timeStr;
end

function Lua_DoubleExpCarTipsWindow:onSubClick(go)
	self:exeSub();
	self:hide();
end

function Lua_DoubleExpCarTipsWindow:onCancelClick(go)
	self:exeCancel();
	self:hide();
end

function Lua_DoubleExpCarTipsWindow:hide()
	-- Lua_MsgUtil.callFunc("SHILED_BOSS_UI_AVATAR", false);
	self:superCall("hide");
end

function Lua_DoubleExpCarTipsWindow:exeSub()
	DataCenter.neverTip:setNeverValue(Lua_NeverTipData.DOUBLE_EXP_CAR_TIPS, self.tipBox.seleted);
	DataCenter.yunBiaoData:sStartYunBiao(self.showData.yunbiaoData);
end

function Lua_DoubleExpCarTipsWindow:exeCancel()
	DataCenter.neverTip:setNeverValue(Lua_NeverTipData.DOUBLE_EXP_CAR_TIPS, self.tipBox.seleted);
end

function Lua_DoubleExpCarTipsWindow:dispose()
	self:superCall("dispose");
end