-- 运镖入口
checkRequire("Lua_YunBiaoCell");
Lua_YunBiaoWindow = class("Lua_YunBiaoWindow", Lua_SecondSizeWindow);
function Lua_YunBiaoWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_YunBiaoWindow";
	self.titleText = LanUtil.getValue(122100);
end

function Lua_YunBiaoWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.yunBiaoPanel = Lua_YunBiaoPanel.new(self.content);
end

function Lua_YunBiaoWindow:dispose()
	if self.yunBiaoPanel ~= nil then
		self.yunBiaoPanel:dispose();
		self.yunBiaoPanel = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_YunBiaoPanel = class("Lua_YunBiaoPanel", Lua_DisplayObject);
function Lua_YunBiaoPanel:ctor(p)
	self:superCall("ctor", p, "YunBiaoPanel_skin");
end

function Lua_YunBiaoPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content,1, Vector4(0, 0, 1120, 468));
	self.dragList:setListCell(Lua_YunBiaoCell, 468, 280, 4);
	self.dragList.canDrag = false;

	self.rulesBtn:addClickFuntion(self, self.onrulesBtn);

	self:addLuaEvent("YUN_BIAO_PANEL_UPDATE", self, self.updatePanel);
	DataCenter.yunBiaoData:sGetPanelInfo();
end

function Lua_YunBiaoPanel:updatePanel()
	if self.cellList == nil then
		self.cellList = DataCenter.yunBiaoData:getYunBiaoLvlInfo();
	end
	self.dragList:setLuaArrayData(self.cellList, false);

	self.timeLabel1.text = DataCenter.xianshiData:getDataById(10002).timeStr;
	self.timeLabel2.text = DataCenter.xianshiData:getDataById(10003).timeStr;
	self.tokenLabel.text = LanUtil.formateStr(LanUtil.getValue(122115), tostring(DataCenter.yunBiaoData.escortTimes));
end

function Lua_YunBiaoPanel:onrulesBtn()
	local timeType;
	local timeList = Array();
	for i = 1, 2 do
		timeType = DataCenter.yunBiaoData.doubleExpTime[i];
		for j = 1, 2 do
			timeList:add(timeType[j]);
		end
	end

	local temp;
	local paramList = Array();
	for i = 1, 4 do
		temp = string.split(timeList[i], ":");
		paramList:add(temp[1]);
		paramList:add(temp[2]);
	end
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", nil, LanUtil.formateStr(LanUtil.getValue(122111), 
		paramList[1], paramList[2], paramList[3], paramList[4], paramList[5], paramList[6], paramList[7], paramList[8]));
end

function Lua_YunBiaoPanel:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end
	self:superCall("dispose");
end